pcl::QuantizedMultiModFeature Struct Reference

Feature that defines a position and quantized value in a specific modality. More...

`#include <pcl/recognition/sparse_quantized_multi_mod_template.h>`

## Public Member Functions

| QuantizedMultiModFeature ()
| Constructor. More...
bool | compareForEquality (const QuantizedMultiModFeature &base) const
| Compares whether two features are the same. More...
void | serialize (std::ostream &stream) const
| Serializes the object to the specified stream. More...
void | deserialize (std::istream &stream)
| Deserializes the object from the specified stream. More...

## Public Attributes

int | x
| x-position. More...
int | y
| y-position. More...
std::size_t | modality_index
| the index of the corresponding modality. More...
unsigned char | quantized_value
| the quantized value attached to the feature. More...

## Detailed Description

Feature that defines a position and quantized value in a specific modality.

Author
  Stefan Holzer

Definition at line 50 of file sparse_quantized_multi_mod_template.h.

## Constructor & Destructor Documentation

## QuantizedMultiModFeature()

pcl::QuantizedMultiModFeature::QuantizedMultiModFeature | ( |  | ) |

inline

Constructor.

Definition at line 53 of file sparse_quantized_multi_mod_template.h.

## Member Function Documentation

## compareForEquality()

bool pcl::QuantizedMultiModFeature::compareForEquality | ( | const QuantizedMultiModFeature & | base | ) | const

inline

Compares whether two features are the same.

Parameters

  [in] | base | the feature to compare to.

Definition at line 68 of file sparse_quantized_multi_mod_template.h.

References modality_index, quantized_value, x, and y.

## deserialize()

void pcl::QuantizedMultiModFeature::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the object from the specified stream.

Parameters

  [in] | stream | the stream the object will be deserialized from.

Definition at line 96 of file sparse_quantized_multi_mod_template.h.

References modality_index, quantized_value, pcl::read(), x, and y.

## serialize()

void pcl::QuantizedMultiModFeature::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the object to the specified stream.

Parameters

  [out] | stream | the stream the object will be serialized to.

Definition at line 85 of file sparse_quantized_multi_mod_template.h.

References modality_index, quantized_value, pcl::write(), x, and y.

## Member Data Documentation

## modality_index

std::size_t pcl::QuantizedMultiModFeature::modality_index

the index of the corresponding modality.

Definition at line 60 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), deserialize(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), and serialize().

## quantized_value

unsigned char pcl::QuantizedMultiModFeature::quantized_value

the quantized value attached to the feature.

Definition at line 62 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), deserialize(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), and serialize().

## x

int pcl::QuantizedMultiModFeature::x

x-position.

Definition at line 56 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), deserialize(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), and serialize().

## y

int pcl::QuantizedMultiModFeature::y

y-position.

Definition at line 58 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), deserialize(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), and serialize().

The documentation for this struct was generated from the following file:

- pcl/recognition/sparse_quantized_multi_mod_template.h